Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.util
Class LockModeTypeHelper

    java.lang.Object
      org.hibernate.ejb.util.LockModeTypeHelper

    public class LockModeTypeHelper

extends Object

Helper to deal with `LockModeType` <-> `LockMode` conversions.

Constructor Summary
`LockModeTypeHelper()`

Method Summary
`static LockMode` | `getLockMode(LockModeType lockMode)`
`static LockModeType` | `getLockModeType(LockMode lockMode)`
`static LockMode` | `interpretLockMode(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockModeTypeHelper

    public LockModeTypeHelper()

Method Detail

### getLockModeType

    public static LockModeType getLockModeType(LockMode lockMode)

### getLockMode

    public static LockMode getLockMode(LockModeType lockMode)

### interpretLockMode

    public static LockMode interpretLockMode(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.